[Nim]
lexer=nim

keywords.0=name:Keywords::addr and as asm bind block break case cast concept \
const continue converter defer discard distinct div do elif else end enum \
except export finally for from func if import in include interface is \
isnot iterator let macro method mixin mod nil not notin object of or out \
proc ptr raise ref return shl shr static template try tuple type \
using var when while xor yield
       
CommentBoxStart=#[
CommentBoxEnd=]#
CommentBoxMiddle= #
CommentBlock=#
CommentStreamStart=#[
CommentStreamEnd=]#

style.0=White space/default,fore:clGreen
style.1=Comment block,fore:clGreen
style.2=Comment block (doc),fore:clGreen
style.3=Comment line,fore:clGreen
style.4=Comment line (doc),fore:clGreen
style.5=Number,fore:clTeal
style.6=String,fore:clPurple
style.7=Character,fore:clPurple,back:#FFF3FF,eolfilled
style.8=Word,fore:clTeal,bold
style.9=Triple,fore:clTeal
style.10=Triple double,fore:clTeal
style.11=Backticks,fore:#000000,back:clBlack,eolfilled
style.12=Function name,fore:clBlue,bold
style.13=End of line,fore:#000000,back:#E0C0E0,eolfilled
style.14=Numeric format error,fore:#000000,back:#FF8080
style.15=Operator,fore:clWindowText,bold
style.16=Identifier,fore:clWindowText